Ticket #31455

KGS ブレイルノート46C/46D などへの対応

Open Date: 2013-05-28 12:39 Last Update: 2013-07-27 09:57

Reporter: nishimoto Owner: (None)
Type: Feature Requests Status: Closed
Component: (None) MileStone: (None)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

KGS ブレイルノート46C/46D などへの対応のご要望をいただきました。

DirectBM はこれらの機種に対応しているのですが、NVDA日本語版のKGSドライバは BM シリーズ機器にしか対応できていません。

KSG 社の提供するAPIデモプログラム DirectBM_Demo 2-0-0 を確認したところ、下記のようになっていました。

DirectBM.h には以下が定義されている:

#define DEVNAME_BM_ENG (LPSTR)"BM series"
#define DEVNAME_BM_JPN (LPSTR)"BMシリーズ機器"
#define DEVNAME_BN20A_ENG (LPSTR)"BrailleNote20A"
#define DEVNAME_BN20A_JPN (LPSTR)"ブレイルノート20A"
#define DEVNAME_BN40A_ENG (LPSTR)"BrailleNote40A"
#define DEVNAME_BN40A_JPN (LPSTR)"ブレイルノート40A"
#define DEVNAME_BN46X_ENG (LPSTR)"BrailleNote46C/46D"
#define DEVNAME_BN46X_JPN (LPSTR)"ブレイルノート46C/46D"

デモプログラムの maindialog.cpp では DEVNAME_*_JPN の4種類のデバイスをユーザーがコンボボックスで選択できて、その名前が gszEquipmentName に格納される。

bmStart は下記のように実行されている:

	ret = bmStart(gszEquipmentName, gnPort, gnSpeed, StatusChangedCallback);

NVDA日本語版の KGS ドライバは現状では、英語と日本語の環境をチェックするためにレジストリの値を見ているが、BM シリーズのデバイス名しか対象にしていない。

def getKbdcName(hBrl):
	DEVNAME_JA = u"BMシリーズ機器".encode('shift-jis')
	DEVNAME_EN = u"BM series"
	REGKEY_KBDC110_PATH_JA = r"SOFTWARE\KGS\KBDC110"
	REGKEY_KBDC110_PATH_EN = r"SOFTWARE\KGS\KBDC110-E"
	ret = hBrl.IsKbdcInstalled(REGKEY_KBDC110_PATH_JA)
	if ret:
		devName = DEVNAME_JA
	else:
		ret = hBrl.IsKbdcInstalled(REGKEY_KBDC110_PATH_EN)
		if ret:
			devName = DEVNAME_EN
	return devName

Attachment File List

No attachments

Ticket History (3/8 Histories)

2013-05-28 12:39 Updated by: nishimoto
  • New Ticket "KGS ブレイルノート46C/46D などへの対応" created
2013-05-28 12:46 Updated by: nishimoto
  • Details Updated
2013-05-29 08:29 Updated by: nishimoto
Comment

初期化のデバイス名だけ書き換えたドライバー kgsbn46 アドオン 0.0.1 https://dl.dropboxusercontent.com/u/62564469/kgsbn46-0.0.1.nvda-addon にて、出力はできるようになったが、送りのキー操作ができないとのご報告をいただきました。

キーコマンドの割り当てについて、もう少し情報収集が必要と思います。

このまま kgs と kgsbn46 を別々のドライバーとして開発するとしたら、コードの共通部分をライブラリ化したほうがよさそうです。

2013-06-10 11:40 Updated by: misono
Comment

下記の URL でブレイルノート 46C および 46D のアドオン実装を行いました。

https://dl.dropboxusercontent.com/s/zz4yep9njtgcf3e/kgsbn46-0.0.2.nvda-addon?token_hash=AAHL5mWL29_dVoxVrRVioaH0EPPELv1mxqehYw1qv43cUA&dl=1

点字出力の他 次のキー割り当てを行いました。

F1 NVDAメニューの表示 F2 sl 前にスクロール(左にスクロール) sr 後ろにスクロール(右へスクロール) bk 前の行へ移動(上の行へ移動) lf 次の行へ移動(下の行へ移動) f2+bk 前のレビューカーソル行 f2+lf 次のレビューカーソル行 f2+sl 前のレビューカーソル単語 f2+sr 次のレビューカーソル単語 f3 カーソルを1文字左に移動 f4 カーソルを1文字右に移動

なお、このアドンの作者は NVDA Japanese Team です。

2013-06-10 12:29 Updated by: nishimoto
Comment

ありがとうございます。

kgsbn46-0.0.2 の Git リポジトリが下記であることを確認しました。

https://bitbucket.org/misono/kgsbn46

アドオンではなく 2013.1.1jp に組み込むという方針であれば、下記の書式でドキュメントを作成したいと思います。

KGS BrailleMemoシリーズ用ドライバの日本語の説明

http://www.nvda.jp/nvda2013.1jp/ja/readmejp.html#toc29

英語の説明

http://www.nvda.jp/nvda2013.1jp/en/readmejp.html#toc29

2013-06-13 15:36 Updated by: nishimoto
Comment

kgsbn46 ドライバーとドキュメントを release-2013.1jp にコミットしました。

b87a405 HEAD@{0}: commit: updated document for kgsbn46 driver (nvdajp ti31455)
8fc8ea4 HEAD@{1}: commit: added kgsbn46-0.0.2 driver (nvdajp ti31455)

あわせて kgs.py に関して6月7日に bitbucket に push された修正もマージしました。

2013-06-26 13:02 Updated by: nishimoto
  • Ticket Close date is changed to 2013-06-26 13:02
  • Status Update from Open to Closed
2013-07-27 09:57 Updated by: nishimoto
Comment

BMユーティリティがインストールされていない場合、COMポートを正しく設定していても、BN46Cが接続できない、というご報告がありました。

BMユーティリティをインストールすることで解決したようです。

Edit

Please login to add comment to this ticket » Login